> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# List Dispatches

GET https://documents/dispatches

Reference: https://docs.itspropel.com/propel-biz/30-documents/dispatches/list-dispatches

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /documents/dispatches:
    get:
      operationId: list-dispatches
      summary: List Dispatches
      tags:
        - subpackage_30Documents.subpackage_30Documents/dispatches
      parameters:
        - name: status
          in: query
          description: >-
            Optional: Filter by dispatch status - in:
            PENDING|SENT|VIEWED|COMPLETED|FAILED|EXPIRED|REVOKED|DECLINED
          required: false
          schema:
            type: string
        - name: recipient_customer_id
          in: query
          description: 'Optional: Filter by recipient customer UUID - exists:customers,id'
          required: false
          schema:
            type: string
        - name: document_id
          in: query
          description: 'Optional: Filter by document UUID - exists:documents,id'
          required: false
          schema:
            type: string
        - name: parent_record_type
          in: query
          description: >-
            Optional: Polymorphic parent type - registered morph alias (e.g.
            estimate, work-order)
          required: false
          schema:
            type: string
        - name: parent_record_id
          in: query
          description: 'Optional: Parent record UUID - converted to int by middleware'
          required: false
          schema:
            type: string
        - name: created_after
          in: query
          description: 'Optional: Lower bound on created_at - date format'
          required: false
          schema:
            type: string
        - name: created_before
          in: query
          description: >-
            Optional: Upper bound on created_at - date format - after_or_equal
            created_after
          required: false
          schema:
            type: string
        - name: page
          in: query
          description: 'Optional: Page number - integer >= 1'
          required: false
          schema:
            type: integer
        - name: per_page
          in: query
          description: 'Optional: Results per page - integer 1-200 - default 15'
          required: false
          schema:
            type: integer
        - name: '{{tenant_key_name}}'
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/30 Documents_Dispatches_List
                  Dispatches_Response_200
servers:
  - url: https:/
components:
  schemas:
    30 Documents_Dispatches_List Dispatches_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: 30 Documents_Dispatches_List Dispatches_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/documents/dispatches"

querystring = {"status":"SENT","recipient_customer_id":"a3f1c9d2-4b7e-4f8a-9c3d-2e5b7f1a9d8c","document_id":"d9f8a7b6-c5e4-3d2c-1b0a-9f8e7d6c5b4a","parent_record_type":"work-order","parent_record_id":"1024","created_after":"2024-01-01T00:00:00Z","created_before":"2024-04-01T23:59:59Z","page":"1","per_page":"15"}

payload = { "{{tenant_key_value1}}|{{tenant_key_value2}}": "tenant123|region-us" }
headers = {
    "{{tenant_key_name}}": "X-Tenant-Key",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://https/documents/dispatches?status=SENT&recipient_customer_id=a3f1c9d2-4b7e-4f8a-9c3d-2e5b7f1a9d8c&document_id=d9f8a7b6-c5e4-3d2c-1b0a-9f8e7d6c5b4a&parent_record_type=work-order&parent_record_id=1024&created_after=2024-01-01T00%3A00%3A00Z&created_before=2024-04-01T23%3A59%3A59Z&page=1&per_page=15';
const options = {
  method: 'GET',
  headers: {'{{tenant_key_name}}': 'X-Tenant-Key', 'Content-Type': 'application/json'},
  body: '{"{{tenant_key_value1}}|{{tenant_key_value2}}":"tenant123|region-us"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/documents/dispatches?status=SENT&recipient_customer_id=a3f1c9d2-4b7e-4f8a-9c3d-2e5b7f1a9d8c&document_id=d9f8a7b6-c5e4-3d2c-1b0a-9f8e7d6c5b4a&parent_record_type=work-order&parent_record_id=1024&created_after=2024-01-01T00%3A00%3A00Z&created_before=2024-04-01T23%3A59%3A59Z&page=1&per_page=15"

	payload := strings.NewReader("{\n  \"{{tenant_key_value1}}|{{tenant_key_value2}}\": \"tenant123|region-us\"\n}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("{{tenant_key_name}}", "X-Tenant-Key")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/documents/dispatches?status=SENT&recipient_customer_id=a3f1c9d2-4b7e-4f8a-9c3d-2e5b7f1a9d8c&document_id=d9f8a7b6-c5e4-3d2c-1b0a-9f8e7d6c5b4a&parent_record_type=work-order&parent_record_id=1024&created_after=2024-01-01T00%3A00%3A00Z&created_before=2024-04-01T23%3A59%3A59Z&page=1&per_page=15")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["{{tenant_key_name}}"] = 'X-Tenant-Key'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"{{tenant_key_value1}}|{{tenant_key_value2}}\": \"tenant123|region-us\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://https/documents/dispatches?status=SENT&recipient_customer_id=a3f1c9d2-4b7e-4f8a-9c3d-2e5b7f1a9d8c&document_id=d9f8a7b6-c5e4-3d2c-1b0a-9f8e7d6c5b4a&parent_record_type=work-order&parent_record_id=1024&created_after=2024-01-01T00%3A00%3A00Z&created_before=2024-04-01T23%3A59%3A59Z&page=1&per_page=15")
  .header("{{tenant_key_name}}", "X-Tenant-Key")
  .header("Content-Type", "application/json")
  .body("{\n  \"{{tenant_key_value1}}|{{tenant_key_value2}}\": \"tenant123|region-us\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://https/documents/dispatches?status=SENT&recipient_customer_id=a3f1c9d2-4b7e-4f8a-9c3d-2e5b7f1a9d8c&document_id=d9f8a7b6-c5e4-3d2c-1b0a-9f8e7d6c5b4a&parent_record_type=work-order&parent_record_id=1024&created_after=2024-01-01T00%3A00%3A00Z&created_before=2024-04-01T23%3A59%3A59Z&page=1&per_page=15', [
  'body' => '{
  "{{tenant_key_value1}}|{{tenant_key_value2}}": "tenant123|region-us"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    '{{tenant_key_name}}' => 'X-Tenant-Key',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/documents/dispatches?status=SENT&recipient_customer_id=a3f1c9d2-4b7e-4f8a-9c3d-2e5b7f1a9d8c&document_id=d9f8a7b6-c5e4-3d2c-1b0a-9f8e7d6c5b4a&parent_record_type=work-order&parent_record_id=1024&created_after=2024-01-01T00%3A00%3A00Z&created_before=2024-04-01T23%3A59%3A59Z&page=1&per_page=15");
var request = new RestRequest(Method.GET);
request.AddHeader("{{tenant_key_name}}", "X-Tenant-Key");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"{{tenant_key_value1}}|{{tenant_key_value2}}\": \"tenant123|region-us\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "{{tenant_key_name}}": "X-Tenant-Key",
  "Content-Type": "application/json"
]
let parameters = ["{{tenant_key_value1}}|{{tenant_key_value2}}": "tenant123|region-us"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/documents/dispatches?status=SENT&recipient_customer_id=a3f1c9d2-4b7e-4f8a-9c3d-2e5b7f1a9d8c&document_id=d9f8a7b6-c5e4-3d2c-1b0a-9f8e7d6c5b4a&parent_record_type=work-order&parent_record_id=1024&created_after=2024-01-01T00%3A00%3A00Z&created_before=2024-04-01T23%3A59%3A59Z&page=1&per_page=15")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```